For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
      • GETList Google Tags
      • PATCHUpdate Google Tag
      • DELDelete Google Tag
      • DELDelete Google Tags
  • Enterprise
LogoLogo
Resources
Get started
Site ConfigurationGoogle Tag Manager

Delete Google Tag

DELETE
https://api.webflow.com/v2/sites/:site_id/integrations/google_tags/:tag_id
DELETE
/v2/sites/:site_id/integrations/google_tags/:tag_id
$curl -X DELETE https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/integrations/google_tags/G-XXXXXXXXXX \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "googleTagIds": [
3 {
4 "displayName": "Main Analytics Tag",
5 "tagId": "G-1A2B3C4D5E",
6 "order": 1
7 }
8 ]
9}

Delete a single Google Tag ID from a site. The order values of the remaining tags are renormalized after deletion.

Required scope: sites:write

Was this page helpful?
Previous

Delete Google Tags

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
tag_idstringRequired

The Google Tag ID (e.g. G-XXXXXXXXXX)

Response

Request was successful
googleTagIdslist of objects
List of Google Tags configured for a site, sorted by order.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error